## ros-kinetic-summit-xl-localization 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_localization)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  robot_localization
  tf2
  tf
  tf2_ros
  tf2_geometry_msgs
  message_filters
  std_msgs
  std_srvs
  geographic_msgs
  geometry_msgs
  nav_msgs
  sensor_msgs
  robotnik_msgs
  mavros_msgs
  robot_localization
)
find_package(Eigen REQUIRED)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    robot_localization
    roscpp
    tf
    tf2
    tf2_ros
    message_filters
    std_msgs
    std_srvs
    geometry_msgs
    nav_msgs
    sensor_msgs
    robotnik_msgs
    mavros_msgs
  DEPENDS Eigen
)

###########
## Build ##
###########

include_directories(include   
		    ${catkin_INCLUDE_DIRS}
		    ${Eigen_INCLUDE_DIRS})

add_executable(rl_utils src/robot_localization_utils.cpp)
add_dependencies(rl_utils robotnik_msgs_generate_messages_cpp)
target_link_libraries(rl_utils ${catkin_LIBRARIES})

# Library definition
add_library(navsat_transform_new src/navsat_transform_new.cpp)
# Dependencies
add_dependencies(navsat_transform_new robot_localization_gencpp)

# Executables
add_executable(navsat_transform_new_node src/navsat_transform_new_node.cpp)

# Linking
target_link_libraries(navsat_transform_new ${catkin_LIBRARIES})
target_link_libraries(navsat_transform_new_node navsat_transform_new ${catkin_LIBRARIES})

install(
  TARGETS rl_utils
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  TARGETS navsat_transform_new_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  TARGETS navsat_transform_new
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-summit-xl-localization (1.1.2-0xenial) xenial; urgency=high

  * fixed merge conflicts
  * summit_xl_localization: commented robot_localization launch files
  * summit_xl_localization: updated robot_localization launch files
  * summit_xl_localization: added navsat_transform_new to CMakeLists.txt
  * 1.0.9
  * updated changelog
  * Contributors: Marc Bosch-Jorge, carlos3dx

 -- Elena Gambaro <egambaro@robotnik.es>  Wed, 31 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.1.1-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.1.0-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.9-0xenial) xenial; urgency=high

  * Adding install rules
  * Deleting unused files
  * Added rl_utils.launch
  * Contributors: Jorge Arino, summit

 -- Elena Gambaro <egambaro@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.8-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.7-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.6-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.5-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.4-0xenial) xenial; urgency=high

  * added dependency
  * Contributors: carlos3dx

 -- Elena Gambaro <egambaro@robotnik.es>  Wed, 29 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.3-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.2-0xenial) xenial; urgency=high



 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-localization (1.0.1-0xenial) xenial; urgency=high

  * indigo-1.0.0
  * added simple script to test magnetometer
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * configuration tested in Lisbon uploaded
  * summit_xl_localization: added dependency to robotnik_msgs
  * Topic name change
  * Minor changes
  * Update launch files. Add robot_localization_utils
  * Update robot_localization_odom.launch
  * Frame name change
  * Add local_tf node
  * Static tf update
  * Add launch files and the new navsat_transform node
  * First commit summit_xl_localization
  * Contributors: Elena Gambaro, ElenaFG, Jorge Arino, mcantero, rguzman
  * added simple script to test magnetometer
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * configuration tested in Lisbon uploaded
  * summit_xl_localization: added dependency to robotnik_msgs
  * Topic name change
  * Minor changes
  * Update launch files. Add robot_localization_utils
  * Update robot_localization_odom.launch
  * Frame name change
  * Add local_tf node
  * Static tf update
  * Add launch files and the new navsat_transform node
  * First commit summit_xl_localization
  * Contributors: Elena Gambaro, ElenaFG, Jorge Arino, rguzman

 -- Elena Gambaro <egambaro@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-summit-xl-localization
Section: misc
Priority: extra
Maintainer: Elena Gambaro <egambaro@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-mavros-msgs, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-robot-localization, ros-kinetic-robotnik-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros
Homepage: http://ros.org/wiki/summit_xl_localization
Standards-Version: 3.9.2

Package: ros-kinetic-summit-xl-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-mavros-msgs, ros-kinetic-message-filters, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-robot-localization, ros-kinetic-robotnik-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros
Description: The summit_xl_localization package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-summit-xl-localization//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
